FreeMat

- Main Page
- Related Pages

vtkRenderedSurfaceRepresentation

Section: Visualization Toolkit View Classes

# Usage

vtkRenderedSurfaceRepresentation is used to show a geometric dataset in a view. The representation uses a vtkGeometryFilter to convert the dataset to polygonal data (e.g. volumetric data is converted to its external surface). The representation may then be added to vtkRenderView.

To create an instance of class vtkRenderedSurfaceRepresentation, simply invoke its constructor as follows

      obj = vtkRenderedSurfaceRepresentation

# Methods

The class vtkRenderedSurfaceRepresentation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRenderedSurfaceRepresentation class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRenderedSurfaceRepresentation = obj.NewInstance ()`
- `vtkRenderedSurfaceRepresentation = obj.SafeDownCast (vtkObject o)`
- `obj.SetCellColorArrayName (string arrayName)`
- `string = obj.GetCellColorArrayName ()` - Apply a theme to this representation.
- `obj.ApplyViewTheme (vtkViewTheme theme)` - Apply a theme to this representation.